import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as v } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, f = Object.getOwnPropertyDescriptor, c = (p, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? f(t, s) : t, n = p.length - 1, i; n >= 0; n--)
    (i = p[n]) && (e = (o ? i(t, s, e) : i(e)) || e);
  return o && e && m(t, s, e), e;
};
let r = class extends v {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--conversionRate", this.class = "c-pieIcon c-pieIcon--conversionRate", this.name = "IconConversionRate";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--conversionRate"><path d="M10.249 8.157a2.328 2.328 0 1 0-2.328 2.328 2.336 2.336 0 0 0 2.328-2.328Zm-3.343 0a1.015 1.015 0 1 1 2.03 0 1.015 1.015 0 0 1-2.03 0ZM15 7.125 13.25 9.75l-2.03-2.625h1.277a4.506 4.506 0 0 0-1.25-2.371 4.586 4.586 0 0 0-6.493 0l-.928-.928a5.898 5.898 0 0 1 8.348 0 5.819 5.819 0 0 1 1.662 3.299H15Zm-3.754 4.121.928.928a5.897 5.897 0 0 1-8.348 0 5.818 5.818 0 0 1-1.662-3.3H1L2.75 6.25l2.03 2.625H3.502c.167.899.604 1.726 1.252 2.371a4.586 4.586 0 0 0 6.492 0Z"></path></svg>`;
  }
};
c([
  a({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  a({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  h("icon-conversion-rate")
], r);
export {
  r as IconConversionRate
};
